VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::Parts Interface Reference

`Parts` interface provides methods Provides list of parts optional for the backup More...

Inherited by vmware::appliance::recovery::backup::PartsStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.appliance.recovery.backup.PartsTypes.Part > | List ()
| Get a list of the backup parts.
global::System.Collections.Generic.List < vmware.appliance.recovery.backup.PartsTypes.Part > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get a list of the backup parts.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.recovery.backup.PartsTypes.Part > > | ListAsync ()
| Get a list of the backup parts.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.recovery.backup.PartsTypes.Part > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get a list of the backup parts.
long | Get (string id)
| Get size of the optional part.
long | Get (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get size of the optional part.
global::System.Threading.Tasks.Task < long > | GetAsync (string id)
| Get size of the optional part.
global::System.Threading.Tasks.Task < long > | GetAsync (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get size of the optional part.

## Detailed Description

`Parts` interface provides methods Provides list of parts optional for the backup

## Member Function Documentation

long vmware::appliance::recovery::backup::Parts::Get | ( | string | id | ) |

Get size of the optional part.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | part id The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

Returns:
  int size

Implemented in vmware::appliance::recovery::backup::PartsStub.

long vmware::appliance::recovery::backup::Parts::Get | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get size of the optional part.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | part id The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  int size

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Threading.Tasks.Task<long> vmware::appliance::recovery::backup::Parts::GetAsync | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get size of the optional part.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | part id The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  int size

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Threading.Tasks.Task<long> vmware::appliance::recovery::backup::Parts::GetAsync | ( | string | id | ) |

Get size of the optional part.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | part id The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

Returns:
  int size

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Collections.Generic.List<vmware.appliance.recovery.backup.PartsTypes.Part> vmware::appliance::recovery::backup::Parts::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get a list of the backup parts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of parts

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Collections.Generic.List<vmware.appliance.recovery.backup.PartsTypes.Part> vmware::appliance::recovery::backup::Parts::List | ( |  | ) |

Get a list of the backup parts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of parts

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.recovery.backup.PartsTypes.Part> > vmware::appliance::recovery::backup::Parts::ListAsync | ( |  | ) |

Get a list of the backup parts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of parts

Implemented in vmware::appliance::recovery::backup::PartsStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.recovery.backup.PartsTypes.Part> > vmware::appliance::recovery::backup::Parts::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get a list of the backup parts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of parts

Implemented in vmware::appliance::recovery::backup::PartsStub.

The documentation for this interface was generated from the following file:

- Parts.cs